  function mapNameToChristianFemaleReligion(name) {
        const lowerCaseName = name.toLowerCase().trim();
        if (
            lowerCaseName === 'sophia' ||
            lowerCaseName === 'olivia' ||
            lowerCaseName === 'emma' ||
            lowerCaseName === 'ava' ||
            lowerCaseName === 'isabella' ||
            lowerCaseName === 'mia' ||
            lowerCaseName === 'charlotte' ||
            lowerCaseName === 'amelia' ||
            lowerCaseName === 'harper' ||
            lowerCaseName === 'evelyn'

        ) {
            return 'Christian';
        }
        return 'Unknown'; // Default if no match found
    }
